
QGIS Application - Bug report #1799

g.manual not working

2009-07-20 11:29 PM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Lorenzo Masini

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11859

Description

The module g.manual does not work, because it misses the x-www-browser parameter:

g.manual -i

Starting browser <> for module index...

/usr/lib/grass64/scripts/g.manual: line 79: : command not found

From the grass shell there is no problem:

Starting browser <x-www-browser> for module index...

History

#1 - 2009-08-11 04:51 AM - Giovanni Manghi

Under Ubuntu 9.04 I get

g.manual -i

Starting browser <> for module index...

/usr/local/grass-6.4.0RC4/scripts/g.manual: 122: : Permission denied

Successfully finished

#2 - 2010-02-10 06:42 AM - Paolo Cavallini

In commit:c24f308f (SVN r12198) is slightly different:

g.manual -i

Starting browser  for module index...

/usr/lib/grass64/scripts/g.manual: line 79: /usr/share/qgis/grass/bin/qgis.g.browser: No such file or directory
#3 - 2010-02-10 07:59 AM - Giovanni Manghi

it works under Ubuntu now, using commit:09547004 (SVN r12918) and GRASS installed from the ubuntugis ppa repository.

#4 - 2010-02-10 08:58 AM - Giovanni Manghi

it does not under windows (xp)

C:\\>g.manual -i

Starting browser <C:\\Program Files\\Internet Explorer\\iexplore.exe> for

module index...

C:\\OSGeo4W\\apps\\grass\\GRASS-~1.0SV/scripts/g.manual: C:\\Program Files\\Internet E

xplorer\\iexplore.exe: command not found

#5 - 2010-03-05 04:10 AM - Redmine Admin

It is bug in g.manual, I guess the problem is spaces in explorer path.

See also http://trac.osgeo.org/grass/ticket/980 and http://trac.osgeo.org/grass/ticket/655

To avoid problems with default browser we have qgis.g.browser in qgis which is using QDesktopServices::openUrl but GRASS_HTML_BROWSER was

not set to qgis.g.browser for windows shell. It set from r:13002.

Unfortunately g.manual -i does not work even with qgis.g.browser, because QDesktopServices::openUrl (windows) fails to open '!file://c:...' it must be

'!file:///c:...' (3 slashes) so I changed it so that ti add one slash to path on win.

To be check with next build.

#6 - 2010-03-15 12:07 PM - Redmine Admin

Still does not work because the drive letter seems to be somehow lost in QUrl parser for 'file://c:...' and late setPath does not help. Another attempt

commited which modifies the string before it is passed to setUrl.

#7 - 2010-03-19 08:56 AM - Markus Neteler

Replying to [comment:5 rblazek]:

It is bug in g.manual, I guess the problem is spaces in explorer path.

See also http://trac.osgeo.org/grass/ticket/980

this has been fixed 13/mar/2010 in grass6.4.0svn, grass6.5.svn, grass7.svn.

and http://trac.osgeo.org/grass/ticket/655

fixed in GRASS 07/oct/09.
Perhaps this bug is now solved?

Markus

#8 - 2010-03-25 12:34 AM - Redmine Admin

- Status changed from Open to Closed

- Resolution set to fixed

Uff, it works but it was necessary to prepend "/" to the path BEFORE it is passed to QUrl. QUrl is doing some tricky parsing/manipulation. I won't be

surprised if next Qt release breaks it again.

#9 - 2010-05-06 08:53 AM - Paolo Cavallini

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

Seems broken once more:

g.manual -i

Starting browser  for module index...

/usr/lib/grass64/scripts/g.manual: line 79: /usr/share/qgis/grass/bin/qgis.g.browser: No such file or directory

Successfully finished

#10 - 2010-05-06 10:23 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Feedback to Closed

I guess you use the debian package, which was lacking qgis.g.browser
